#include "testlib.h"

#include <iostream>
#include <vector>

using namespace std;


int MIN_TEMP = 0;
int MAX_TEMP = 1000 * 1000 * 1000;

vector<int> limits_n = {100000, 7, 100, 4000, 100000};
vector<int> limits_m = {100000, 7, 100, 4000, 100000};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
	int group = 0;
	if (validator.group().size()) {
		group = atoi(validator.group().c_str());
	}
	ensure(group < limits_n.size());
	int n = inf.readInt(1, limits_n[group], "n");
	inf.readSpace();
	int m = inf.readInt(1, limits_m[group], "m");
	inf.readLine();
	for (int i = 0; i < n; ++i) {
		if (i) inf.readSpace();
		int ct = inf.readInt(MIN_TEMP, MAX_TEMP, "t_i");
	}
	inf.readLine();
	for (int i = 0; i < m; ++i) {
		int j_min = inf.readInt(MIN_TEMP, MAX_TEMP, "jacketmin_i");
		inf.readSpace();
		int j_max = inf.readInt(j_min, MAX_TEMP, "jacketmax_i");
		inf.readLine();
	}
	inf.readEof();
}
